
\usetikzlibrary{backgrounds,shapes,arrows,positioning,calc,snakes,fit}


\definecolor{lb}{RGB}{105,210,231}
\definecolor{white}{RGB}{240,255,255}
\definecolor{sable}{RGB}{224,228,204}
\definecolor{orange}{RGB}{250,105,0}


\tikzstyle{graph}=[circle, draw, minimum width=12pt, line width=2pt]
\tikzstyle{graphline}=[draw=black,line join=miter,line cap=butt,even odd rule,line width=0.500pt]
\tikzstyle{proto}=[rectangle, fill = white,rounded corners=0.1000cm, draw=lb, minimum width=55pt, minimum height=80pt, line width=3pt]

\begin{tikzpicture}[y=0.80pt, x=0.8pt,yscale=-1, inner sep=0pt, outer sep=0pt]
\path[draw=black,line join=bevel,line cap=round,miter limit=4.00,line
  width=0.800pt,rounded corners=0.5000cm] (184.6870,89.5555) rectangle
  (643.5169,376.8504);


\node[graph](n0) at (410+160,155) {};
\node[graph](n1) at (465+160,195) {};
\node[graph](n2) at (455+160,290) {};
\node[graph](n3) at (380+160,305) {};
\node[graph](n4) at (380+160,250) {};

\path[graphline] (n0) edge (n1);
\path[graphline] (n1) edge (n2);
\path[graphline] (n1) edge (n4);
\path[graphline] (n2) edge (n4);
\path[graphline] (n2) edge (n3);
\path[graphline] (n3) edge (n4);

%\path[proto] (210+150,170) rectangle (285,270);
%\path[proto] (220+150,180) rectangle (295,280);
%\path[proto] (230+150,190) rectangle (305,290);

\node[proto] (p1) at (245,220) {};
\node[proto] (p2) at (255,230) {};
\node[proto] (p3) at (265,240) {};

%\draw[-latex] (250,190) -- (n4);
%\draw[sable,  line width=8pt,->,>=fast cap] (330,230) -- (370,230);
%\draw[sable,  line width=8pt,->,>=fast cap] (490,230) -- (530,230);
\draw[sable,  line width=8pt,<->,>=fast cap] (330,230) -- (370,230);
\draw[sable,  line width=8pt,<->,>=fast cap] (490,230) -- (530,230);

%\path  (235,215) node[above right] (text) {{\small Protocoles}};
\node[align=center] at (p3) {{\small Protocoles}};


%\path[fill=orange] (590,220) circle (0.15cm);
%\path[fill=orange] (570,240) circle (0.15cm);
\node[circle, draw=orange, fill= orange, minimum width=7pt, line width=1pt ](i0) at (570-160,240) {};
\node[circle, draw=orange, fill= orange, minimum width=7pt, line width=1pt ](i1) at (590-160,220) {};
\node[circle, draw=orange, minimum width=17pt, line width=3pt ](m0) at (i0) {};
\node[circle, draw=orange, minimum width=17pt, line width=3pt ](m1) at (i1) {};

\draw[orange,  line width=4pt,->]  (m0) -- (540-160,270) ;
\draw[orange,  line width=4pt,->]  (m1) -- (620-160,190) ;

\draw[sable,  line width=8pt,<->,>=fast cap] (565-300,320+20) -- (565-300,285+20);
\draw[sable,  line width=8pt,<->,>=fast cap] (565,320+20) -- (565,285+20);
%\draw[sable,  line width=8pt,<-,>=fast cap] (515-160,320) -- (490-160,290);

%\node[rectangle, minimum width=17pt, line width=3pt ] (o1) at (265,365) {Objectifs globaux};
%\node (o2) at (435,365) {};
\node[rectangle, minimum width=17pt, line width=3pt, align=left] (o3) at (565-300,355) {Objectifs globaux};
\node[rectangle, minimum width=17pt, line width=3pt, align=left] (o3) at (565+10,355) {Objectifs locaux};

\end{tikzpicture}

